summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--t/test-lib.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index d685858afd..21ebe95139 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -317,6 +317,16 @@ say () {
say_color info "$*"
}
+if test -n "$HARNESS_ACTIVE"
+then
+ if test "$verbose" = t || test -n "$verbose_only"
+ then
+ printf 'Bail out! %s\n' \
+ 'verbose mode forbidden under TAP harness; try --verbose-log'
+ exit 1
+ fi
+fi
+
test "${test_description}" != "" ||
error "Test script did not set test_description."